/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BCKGRND                         1
#define  BCKGRND_TEXTMSG                 2

#define  CONFIG                          2
#define  CONFIG_CONTINUE                 2       /* callback function: configMeasurement */
#define  CONFIG_QUIT                     3       /* callback function: launchClose */
#define  CONFIG_MEAS_MODE                4       /* callback function: controlHelp */
#define  CONFIG_FREQ_PARAM               5       /* callback function: controlHelp */
#define  CONFIG_TRACE                    6       /* callback function: controlHelp */
#define  CONFIG_MEAS_RANGE               7       /* callback function: controlHelp */
#define  CONFIG_START                    8       /* callback function: controlHelp */
#define  CONFIG_STOP                     9       /* callback function: controlHelp */
#define  CONFIG_DECORATION               10

#define  INIT                            3
#define  INIT_CONTINUE                   2       /* callback function: initInstrument */
#define  INIT_CANCEL                     3       /* callback function: Cancel */
#define  INIT_ADDRESS                    4       /* callback function: controlHelp */
#define  INIT_ID                         5       /* callback function: controlHelp */
#define  INIT_RST                        6       /* callback function: controlHelp */

#define  MEAS                            4
#define  MEAS_LAUNCHCONFIG               2       /* callback function: launchConfig */
#define  MEAS_CLOSE                      3       /* callback function: launchClose */
#define  MEAS_LF                         4
#define  MEAS_HF                         5
#define  MEAS_GRAPH                      6
#define  MEAS_TOGGLEBUTTON               7
#define  MEAS_DECORATION                 8
#define  MEAS_TIMER                      9       /* callback function: uploadData */
#define  MEAS_TEXTMSG                    10


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK Cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configMeasurement(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchClose(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchConfig(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK uploadData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
